[Calendar]Edit a contact as all day event, then tap "X" in left top to cancel your edition, the event will change to all day event.

RESOLVED WONTFIX
(NeedInfo from)

Status

Firefox OS
Gaia::Calendar
--
major
RESOLVED WONTFIX
4 years ago
2 months ago

People

(Reporter: Lance(leave from Mozilla), Unassigned, NeedInfo)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(tracking-b2g:+, b2g-v2.0 wontfix, b2g-v2.0M wontfix, b2g-v2.1 wontfix, b2g-v2.1S wontfix, b2g-v2.2 wontfix, b2g-v2.2r wontfix, b2g-master affected)

Details

Attachments

(4 attachments)

(Reporter)

Description

4 years ago
Created attachment 8518062 [details]
1125.MP4

[1.Description]:
Edit a contact as all day event, then tap "X" in left top to cancel your edition, the event will change to all day event.
Found time:11:25
See attachment: 1125.mp4 and logcat_1125.txt

[2.Testing Steps]: 
1.Launch Calendar.
2.Create a new event not being all day, then save it.
3.Tap the event to edit.
4.Turn on "All day event?" option, then tap "x"  in left top to cancel your edition , view the event.
5.Tap the event to edit again.

[3.Expected Result]: 
4 & 5. The event should not change to all day event.

[4.Actual Result]: 
4 & 5.The event will change to all day event.

[5.Reproduction build]: 
Gaia-Rev        6dea064f6872a42657297621807d6d35453a7e7b
Gecko-Rev       9b8934fbb515c7ac026ecf0557d44feec888c4ef
Build-ID        20141106050313
Version         32.0

[6.Reproduction Frequency]: 
Always Recurrence,5/5
(Reporter)

Comment 1

4 years ago
Created attachment 8518063 [details]
logcat_1125.txt
status-b2g-v2.0: --- → affected
status-b2g-v2.0M: --- → affected
status-b2g-v2.1: --- → affected
(Reporter)

Comment 2

3 years ago
This bug has been verified to fail on latest Flame 2.0, 2.1, 2.2 and woodduck 2.0 build.

Steps:
1.Launch Calendar.
2.Create a new event not being all day, then save it.
3.Tap the event to edit.
4.Turn on "All day event?" option, then tap "x"  in left top to cancel your edition , view the event.
5.Tap the event to edit again.

[3.Expected Result]: 
4 & 5. The event should not change to all day event.

[4.Actual Result]: 
4 & 5.The event will change to all day event.

Found time:17:29
See attachment: 1729.MP4 and logcat_1729.txt
Reproducing rate: 5/5

Woodduck version:
Gaia-Rev        add38992bbfb2bafca52ac1ce7f6231ac702675f
Gecko-Rev       8d951d9c4988e218ec08c6118a35c7faeb70af49
Build-ID        20141225143517
Version         32.0
Device-Name     jrdhz72_w_ff
FW-Release      4.4.2
FW-Incremental  1419478053
FW-Date         Thu Dec 25 11:27:57 CST 2014

Flame 2.1 version:
Gaia-Rev        17c7ad2e4919a994f0844239b483116090412dee
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-2g34_v2_1/rev/39dfb662c82a
Build-ID        20141225001203
Version         34.0
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20141225.035108
FW-Date         Thu Dec 25 03:51:19 EST 2014
Bootloader      L1TC00011880

Flame 2.2 version:
Gaia-Rev        ab41c35eed35404b632a4841714b81b56364ba32
Gecko-Rev       https://hg.mozilla.org/mozilla-central/rev/2acb12da9813
Build-ID        20141225010202
Version         37.0a1
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20141225.043916
FW-Date         Thu Dec 25 04:39:27 EST 2014
Bootloader      L1TC00011880

Flame 2.0 version:
Gaia-Rev        01c32dcdc08b3c8fc8b3082870439fa2c1089f4f
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-2g32_v2_0/rev/b41c344ed82d
Build-ID        20141225000210
Version         32.0
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20141225.033048
FW-Date         Thu Dec 25 03:30:58 EST 2014
Bootloader      L1TC00011880
Flags: needinfo?(hlu)
(Reporter)

Updated

3 years ago
Severity: normal → major
status-b2g-v2.2: --- → affected
(Reporter)

Comment 3

3 years ago
Created attachment 8541641 [details]
logcat_1729.txt
(Reporter)

Comment 4

3 years ago
Created attachment 8541655 [details]
1729.MP4
Hi Gareth, The event text changed even if we tap X to dismiss the change. Could you help with this, thanks.
Flags: needinfo?(hlu) → needinfo?(gaye)
QA Whiteboard: [COM=Gaia::Calendar]
(Reporter)

Comment 6

3 years ago
This bug has been verified to fail on latest Flame 2.0, 2.1, 2.2, 3.0 and woodduck 2.0 build.

Issue steps:
1.Launch Calendar.
2.Create a new event not being all day, then save it.
3.Tap the event to edit.
4.Turn on "All day event?" option, then tap "x"  in left top to cancel your edition , view the event.
5.Tap the event to edit again.

Expected Result: 
4 & 5. The event should not change to all day event.

Actual Result: 
4 & 5.The event will change to all day event.

Reproducing rate: 5/5

Woodduck version:
Gaia-Rev        bad03fa77cfed50a98a0f82fd7f3c5594ce1f3d1
Gecko-Rev       f15bd909cd897816651b93a58c9d2d242ccb4e1c
Build-ID        20150212050313
Version         32.0
Device-Name     jrdhz72_w_ff
FW-Release      4.4.2
FW-Incremental  1423688701
FW-Date         Thu Feb 12 05:05:21 CST 2015

Flame 2.0 version:
Build ID               20150211145319
Gaia Revision          2989f2b2bd12fcc0e9c017d2db766e76a55873b8
Gaia Date              2015-01-22 21:13:40
Gecko Revision         b4ea7b8783014aae81aaef9d39f27338a7963843
Gecko Version          32.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.mozilla.20150211.134931
Firmware Date          Wed Feb 11 13:53:22 CST 2015
Bootloader             L1TC000118D0

Flame 2.1 version:
Build ID               20150211001259
Gaia Revision          af0131a6ba7bf12ac3dc4d94225a7f4e62589ecb
Gaia Date              2015-02-11 02:55:30
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/b6b59143a192
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150211.034325
Firmware Date          Wed Feb 11 03:43:36 EST 2015
Bootloader             L1TC000118D0

Flame 2.2 version:
Build ID               20150211002505
Gaia Revision          943be6fd146017dcd9d4c9d1027be1e43bad13eb
Gaia Date              2015-02-11 08:01:09
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/e614443583e7
Gecko Version          37.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150211.040242
Firmware Date          Wed Feb 11 04:02:53 EST 2015
Bootloader             L1TC000118D0

Flame 3.0 version:
Build ID               20150211010216
Gaia Revision          8c7865486a1b11076b849bbf8f7fccbaffbfafe7
Gaia Date              2015-02-10 17:34:35
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/ee093ca70666
Gecko Version          38.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150211.043725
Firmware Date          Wed Feb 11 04:37:36 EST 2015
Bootloader             L1TC000118D0
QA Whiteboard: [COM=Gaia::Calendar] → [COM=Gaia::Calendar][MGSEI-Triage+]
Flags: needinfo?(whsu)
(Reporter)

Updated

3 years ago
status-b2g-master: --- → affected

Comment 7

3 years ago
[Blocking Requested - why for this release]:

A legacy issue. Bad user experience.
Please decide if we want to fix it on latest branch or put it on backlog.
Thanks.
blocking-b2g: --- → 3.0?
Flags: needinfo?(whsu)

Updated

3 years ago
Summary: [Woodduck 2.0][Flame 2.0 & 2.1][Calendar]Edit a contact as all day event, then tap "X" in left top to cancel your edition, the event will change to all day event. → [Calendar]Edit a contact as all day event, then tap "X" in left top to cancel your edition, the event will change to all day event.
(Reporter)

Comment 8

3 years ago
The bug still exist on latest Woodduck 2.0m, Flame 2.0 & 2.1 & 2.2 & 3.0 and 2.1s(512m).

Fail rate:5/5

Flame 2.0:
Build ID               20150330160205
Gaia Revision          896803174633fc6acd3fd105f81c349b8e9b9633
Gaia Date              2015-03-10 06:32:26
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/9c12f28cc73f
Gecko Version          32.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150330.193117
Firmware Date          Mon Mar 30 19:31:26 EDT 2015
Bootloader             L1TC000118D0

Flame 2.1:
Build ID               20150330161200
Gaia Revision          6f39e4e876152de1dcdcc0e7656197f22f105e4b
Gaia Date              2015-03-25 11:16:16
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/275ad18f587b
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150330.193934
Firmware Date          Mon Mar 30 19:39:44 EDT 2015
Bootloader             L1TC000118D0

Flame 2.2:
Build ID               20150330162503
Gaia Revision          cc11248ab69f13e89416c8e6bb2e184187e72088
Gaia Date              2015-03-30 22:22:58
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/90a26917ee8f
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150330.201412
Firmware Date          Mon Mar 30 20:14:21 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0:
Build ID               20150330160204
Gaia Revision          be25b16efa19bab8d54be08f8fe45dcc93bf93d0
Gaia Date              2015-03-29 10:19:00
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6dedce1ca673
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150330.191926
Firmware Date          Mon Mar 30 19:19:35 EDT 2015
Bootloader             L1TC000118D0

Woodduck 2.0:
Build ID               20150331050314
Gaia Revision          7b6a61871b2dfefe9ec9868da99de5b85e0076e2
Gaia Date              2015-03-19 02:12:16
Gecko Revision         f913af09ec408c764639c945fd672cf678ca3d84
Gecko Version          32.0
Device Name            jrdhz72_w_ff
Firmware(Release)      4.4.2
Firmware(Incremental)  1427749625
Firmware Date          Tue Mar 31 05:07:22 CST 2015

2.1S_512mb:
Build ID               20150330001203
Gaia Revision          fa9fb90a3eaad9feff807249a925926626287908
Gaia Date              2015-03-25 15:44:50
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1s/rev/2c2f17155e13
Gecko Version          34.0
Device Name            scx15_sp7715ea
Firmware(Release)      4.4.2
Firmware(Incremental)  122
status-b2g-v2.1S: --- → affected
Flags: needinfo?(whsu)

Comment 9

3 years ago
Hi, Lance,

Thanks for your help!
Let's wait for solution.
Flags: needinfo?(whsu)
Why is this confidential? Can we either open up this bug?
blocking-b2g: 2.5? → -
tracking-b2g: --- → +
Flags: needinfo?(whsu)

Comment 11

3 years ago
(In reply to Dylan Oliver [:doliver] from comment #10)
> Why is this confidential? Can we either open up this bug?

Hi, Dylan,

Good day.

I saw someone to attach Woodduck related stuffs.
So, I marked it as Woodduck Confidential Bug.
I will consult Josh's opinion and reply you ASAP.

Sorry for any inconvenience.

Comment 12

3 years ago
Woodduck is launched and there is no partner confidential info in this bug. Open for public.
Group: woodduck-confidential
blocking-b2g: - → ---
status-b2g-v2.0: affected → wontfix
status-b2g-v2.0M: affected → wontfix
status-b2g-v2.1: affected → wontfix
status-b2g-v2.1S: affected → wontfix
status-b2g-v2.2: affected → wontfix
status-b2g-v2.2r: --- → wontfix

Comment 13

3 years ago
(In reply to Josh Cheng [:josh] from comment #12)
> Woodduck is launched and there is no partner confidential info in this bug.
> Open for public.

Thank you, Josh! :)
Flags: needinfo?(whsu)

Comment 14

2 months ago
Firefox OS is not being worked on
Status: NEW → RESOLVED
Last Resolved: 2 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.